update VERZIO set EHO_VERZIO='1.4.0';

INSERT INTO EHO_OBJEKTUMOK (OB_ID, ECMDB_NEV, ECMDB_KULCS, SZJELEMZO, BER, TK, EHO, TUL)
VALUES
( 42800, 'Médiakonverter', '1.?', '614', 1, 405, 1, 1 );

INSERT INTO NY_AL_VED ( KOD, AKTIV, LISTA, ERTEK, MEGJELENITES )
VALUES
( 7, 1, 'Metróalagút', 'Metróalagút', 'Metróalagút' ),
( 8, 1, 'Szennyvízcsatorna', 'Szennyvízcsatorna', 'Szennyvízcsatorna' ),
( 9, 1, 'Vasúti tálca', 'Vasúti tálca', 'Vasúti tálca' );

update NY_AL_VED set ERTEK='Cső' , MEGJELENITES='Cső' where KOD=2;

INSERT INTO NY_STATUSZ ( KOD, AKTIV, LISTA, ERTEK, MEGJELENITES )
VALUES
( 7, 1, 'Meglévő bérelt adatszolgáltatás', 'Meglévő bérelt adatszolgáltatás', 'Meglévő bérelt adatszolgáltatás' ),
( 8, 1, 'Meglévő saját adatszolgáltatás', 'Meglévő saját adatszolgáltatás', 'Meglévő saját adatszolgáltatás' );

INSERT INTO TERV_TIPUSOK ( KOD, AKTIV, LISTA, ERTEK, MEGJELENITES )
VALUES
( 5, 1, 'adatszolgáltatási', 'adatszolgáltatási', 'adatszolgáltatási' ),
( 6, 1, 'változás bejelentési', 'változás bejelentési', 'változás bejelentési' );

INSERT INTO O_KA_TIPUS ( KOD, AKTIV, LISTA, ERTEK, MEGJELENITES )
VALUES
( 30, 1, 'Egymódusú', 'Egymódusú', 'Egymódusú' ),
( 31, 1, 'Multimódusú', 'Multimódusú', 'Multimódusú' ),
( 32, 1, '(vegyes szerkezetű)', 'Egymódusú és multimódusú (vegyes szerkezetű)', 'Egymódusú és multimódusú (vegyes szerkezetű)' );

INSERT INTO O_SZAL_TIPUS ( KOD, AKTIV, LISTA, ERTEK, MEGJELENITES )
VALUES
( 8, 1, 'G651', 'G651', 'G651' ),
( 9, 1, 'G657A2', 'G657A2', 'G657A2' ),
( 10, 1, 'G657B1', 'G657B1', 'G657B1' ),
( 11, 1, 'G657B2', 'G657B2', 'G657B2' ),
( 12, 1, 'OM1', 'OM1', 'OM1' ),
( 13, 1, 'OM4', 'OM4', 'OM4' ),
( 14, 1, 'OM5', 'OM5', 'OM5' );

update NY_AL_CSO_NYOMVONAL set ELHELYEZES=1 where ELHELYEZES is null;

update OKNY set ELHELYEZES=1 where ELHELYEZES is null;

update R_KA_NYOMVONAL set ELHELYEZES=1 where ELHELYEZES is null;

update KTV_KNY set ELHELYEZES=1 where ELHELYEZES is null;

DROP VIEW XML_KAPCSOLATOK;

CREATE VIEW XML_KAPCSOLATOK AS
    SELECT CS.FID,
           'hordoz' AS KTIPUS,
           CS.NY_EHO_ID AS KIINDULO,
           CS.CSO_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           E.ERTEK AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_AL_CSO_NYOMVONAL AS CS
           LEFT JOIN
           NY_AL_VED AS E ON E.KOD = ELHELYEZES
     GROUP BY KIINDULO,
              VEG-- Alép Cső-Nyomvonal s1, s6
    UNION
    SELECT OK.FID,
           'hordoz' AS KTIPUS,
           OK.NY_EHO_ID AS KIINDULO,
           OK.OKSZ_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           E.ERTEK AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM OKNY AS OK
           LEFT JOIN
           NY_AL_VED AS E ON E.KOD = ELHELYEZES
     GROUP BY KIINDULO,
              VEG-- Optikai kábelt hordozó nyomvonalak s2, s3, s4
    UNION
    SELECT OK.FID,
           'hordoz' AS KTIPUS,
           OK.NY_EHO_ID AS KIINDULO,
           OK.CSO_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           E.ERTEK AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_KNY AS OK
           LEFT JOIN
           NY_AL_VED AS E ON E.KOD = ELHELYEZES
     GROUP BY KIINDULO,
              VEG-- Koakxkábelt hordozó nyomvonalak s2, s3, s4
    UNION
    SELECT R.FID,
           'hordoz' AS KTIPUS,
           R.NY_EHO_ID AS KIINDULO,
           R.CSO_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           E.ERTEK AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM R_KA_NYOMVONAL AS R
           LEFT JOIN
           NY_AL_VED AS E ON E.KOD = ELHELYEZES
     GROUP BY KIINDULO,
              VEG-- Rézkábelt hordozó nyomvonalak s2, s3, s4
    UNION
    SELECT FID,
           'hordoz' AS KTIPUS,
           B_CSO_EHO_ID AS KIINDULO,
           CSO_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_AL_CSO_NYOMVONAL
     WHERE B_CSO_EHO_ID NOT NULL
     GROUP BY KIINDULO,
              VEG-- CSŐ Csőben s5
    UNION
    SELECT FID,
           'tartalmaz' AS KTIPUS,
           ME_OLDAL AS KIINDULO,
           EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_AL_CSOVEG_CONN
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- Kabinet alap, Megszakító oldal- Áttörés s7, s8
    UNION
    SELECT FID,
           'tartalmaz' AS KTIPUS,
           ME_EHO_ID AS KIINDULO,
           EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_MEGSZAKITO_OLDAL-- Kabinet alap, Megszakító oldal s10, s11
    UNION
    SELECT FID,
           'tartalmaz' AS KTIPUS,
           IF_EHO_ID AS KIINDULO,
           EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM O_KOTES-- Optikai berendezés s9
    UNION
    SELECT FID,
           'tartalmaz' AS KTIPUS,
           IF_EHO_ID AS KIINDULO,
           EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_AKTIV-- KTV Aktív berendezés s9
    UNION
    SELECT FID,
           'tartalmaz' AS KTIPUS,
           IF_EHO_ID AS KIINDULO,
           EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_PASZIV-- KTV Passzív berendezés s9
    UNION
    SELECT FID,
           'tartalmaz' AS KTIPUS,
           IF_EHO_ID AS KIINDULO,
           EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM R_KOTES-- Réz berendezés s9
    UNION
    SELECT FID,
           'végződik' AS KTIPUS,
           CSO_EHO_ID AS KIINDULO,
           EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_AL_CSOVEG_CONN
     WHERE (KIINDULO NOT NULL AND 
            VEG NOT NULL) AND 
           (DX NOT NULL AND 
            DY NOT NULL)-- Alépcső-Áttörés s13 
    UNION
    SELECT CS.FID,
           'végződik' AS KTIPUS,
           CS.CSO_EHO_ID AS KIINDULO,
           CS.ME_OLDAL AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_AL_CSOVEG_CONN AS CS
           LEFT JOIN
           NY_MEGSZAKITO AS M ON M.EHO_ID = CS.IF_EHO_ID
     WHERE M.EHO_OBJ = 607 AND 
           (KIINDULO NOT NULL AND 
            VEG NOT NULL)-- Alépcső-Megszakító oldal 
    UNION
    SELECT FID,
           'végződik' AS KTIPUS,
           EHO_ID AS KIINDULO,
           K_ELEJE AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM O_KABEL_SZAKASZ
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- Optikai kábel eleje Berendezés s16
    UNION
    SELECT FID,
           'végződik' AS KTIPUS,
           EHO_ID AS KIINDULO,
           K_VEGE AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM O_KABEL_SZAKASZ
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- Optikai kábel vege Berendezés s16
    UNION
    SELECT KI.FID,
           'végződik' AS KTIPUS,
           k.EHO_ID AS KIINDULO,
           BER.EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_KABEL AS K
           LEFT JOIN
           KTV_KI AS KI ON KI.FID = K.BE
           LEFT JOIN
           (
               SELECT FID,
                      EHO_ID
                 FROM KTV_AKTIV
               UNION
               SELECT FID,
                      EHO_ID
                 FROM KTV_PASZIV
           )
           AS BER ON BER.FID = KI.BERENDEZES
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- Koaxkábel eleje Berendezés s16
    UNION
    SELECT KI.FID,
           'végződik' AS KTIPUS,
           k.EHO_ID AS KIINDULO,
           BER.EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_KABEL AS K
           LEFT JOIN
           KTV_KI AS KI ON KI.BERENDEZES = K.FID
           LEFT JOIN
           (
               SELECT FID,
                      EHO_ID
                 FROM KTV_AKTIV
               UNION
               SELECT FID,
                      EHO_ID
                 FROM KTV_PASZIV
           )
           AS BER ON BER.FID = KI.BE
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- Koaxkábel vége Berendezés s16
    UNION
    SELECT FID,
           'végződik' AS KTIPUS,
           EHO_ID AS KIINDULO,
           KE AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_KABEL
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- Koaxkábel eleje
    UNION
    SELECT FID,
           'végződik' AS KTIPUS,
           EHO_ID AS KIINDULO,
           KV AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_KABEL
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- Koaxkábel vége
    UNION
    SELECT FID,
           'végződik' AS KTIPUS,
           EHO_ID AS KIINDULO,
           K_ELEJE AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM R_KABEL
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- Rézkábel eleje Berendezés s16
    UNION
    SELECT FID,
           'végződik' AS KTIPUS,
           EHO_ID AS KIINDULO,
           K_VEGE AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM R_KABEL
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- Rézkábel eleje Berendezés s16
    UNION
    SELECT FID,
           'végződik' AS KTIPUS,
           EHO_ID AS KIINDULO,
           ELEJE AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_TOLDO
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- KTV oldó eleje Berendezés s16
    UNION
    SELECT FID,
           'végződik' AS KTIPUS,
           EHO_ID AS KIINDULO,
           VEGE AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_TOLDO
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- KTV oldó vége Berendezés s16
    UNION
    SELECT OTA.FID,
           'ellát' AS KTIPUS,
           OK.EHO_ID AS KIINDULO,
           IH.EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM ME_OTAPT AS OTA
           LEFT JOIN
           O_TAPTERULET AS TT ON TT.FID = OTA.FID_PRIM
           LEFT JOIN
           O_KOTES AS OK ON OK.EHO_ID = TT.ELATO
           LEFT JOIN
           IH_VEGPONT AS IH ON IH.FID = OTA.FID_SEC
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- Optika IH ellátás
    UNION
    SELECT OT.FID,
           'ellát' AS KTIPUS,
           OT.ELATO AS KIINDULO,
           OT.EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM O_TAPTERULET AS OT-- Optika tápterület ellátás
    UNION
    SELECT OTA.FID,
           'ellát' AS KTIPUS,
           TT.ELATO AS KIINDULO,
           IH.EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_TAPTERULET_CSP AS OTA
           LEFT JOIN
           KTV_TAPTERULET AS TT ON TT.FID = OTA.FID_PRIM
           LEFT JOIN
           IH_VEGPONT AS IH ON IH.FID = OTA.FID_SEC
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- KTV IH ellátás
    UNION
    SELECT OT.FID,
           'ellát' AS KTIPUS,
           OT.ELATO AS KIINDULO,
           OT.EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_TAPTERULET AS OT-- KTV tápterület ellátás
    UNION
    SELECT FID,
           'elhelyez' AS KTIPUS,
           CIM_EHO_ID AS KIINDULO,
           OB_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM OB_CIMEK
     WHERE OB_EHO_ID IN (
               SELECT EHO_ID
                 FROM NY_OSZLOP
               UNION
               SELECT EHO_ID
                 FROM NY_MEGSZAKITO
               UNION
               SELECT EHO_ID
                 FROM IH_VEGPONT
           )
AND 
           CIM_EHO_ID IN (
               SELECT EHO_ID
                 FROM XML_CIMOB
           )-- Cím Objektum összerendelés s30, s31
    UNION
    SELECT KNY.FID,
           'illeszkedik' AS KTIPUS,
           KNY.CSO_EHO_ID AS KIINDULO,
           (CASE WHEN KNY.IRANY = 1 THEN NY.NY_ELEJE ELSE NY.NY_VEGE END) AS VEG,
           (CASE WHEN KNY.CSOKNY > -1 THEN KNY.CSOKNY + 1 ELSE MAXI.MAXI + 2 END) AS IND,
           (CASE WHEN KNY.CSOKNY = 0 OR 
                      MAXI.MAXI < 0 THEN 1 ELSE 0 END) AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_AL_CSO_NYOMVONAL AS KNY
           LEFT JOIN
           NYOMVONAL AS NY ON NY.EHO_ID = KNY.NY_EHO_ID
           LEFT JOIN
           (
               SELECT max(CSOKNY) AS MAXI,
                      CSO_EHO_ID
                 FROM NY_AL_CSO_NYOMVONAL
                GROUP BY CSO_EHO_ID
           )
           AS MAXI ON MAXI.CSO_EHO_ID = KNY.CSO_EHO_ID
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL
    UNION
    SELECT KNY.FID,
           'illeszkedik' AS KTIPUS,
           KNY.CSO_EHO_ID AS KIINDULO,
           (CASE WHEN KNY.IRANY = 1 THEN NY.NY_VEGE ELSE NY.NY_ELEJE END) AS VEG,
           MAXI.MAXI + 3 AS IND,
           '1' AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_AL_CSO_NYOMVONAL AS KNY
           LEFT JOIN
           NYOMVONAL AS NY ON NY.EHO_ID = KNY.NY_EHO_ID
           LEFT JOIN
           (
               SELECT max(CSOKNY) AS MAXI,
                      CSO_EHO_ID
                 FROM NY_AL_CSO_NYOMVONAL
                GROUP BY CSO_EHO_ID
           )
           AS MAXI ON MAXI.CSO_EHO_ID = KNY.CSO_EHO_ID
     WHERE KNY.CSOKNY = -1-- Alépcső-Infrastruktúra illeszkedés s32, s35, s36,s37
    UNION
    SELECT INF.FID,
           INF.KTIPUS,
           INF.KIINDULO,
           INF.VEG,
           INF.IND,
           INF.VEGHELY,
           M.M AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM (
               SELECT OKSZNY.FID,
                      'illeszkedik' AS KTIPUS,
                      OKSZNY.OKSZ_EHO_ID AS KIINDULO,
                      (CASE WHEN OKSZNY.IRANY = 1 THEN NY.NY_ELEJE ELSE NY.NY_VEGE END) AS VEG,
                      OKSZNY.KSZ_SSZ AS IND,
                      (CASE WHEN OKSZNY.KSZ_SSZ = 1 THEN 1 ELSE 0 END) AS VEGHELY
                 FROM OKSZNY
                      LEFT JOIN
                      (
                          SELECT max(KSZ_SSZ) AS MAX,
                                 OKSZ_EHO_ID
                            FROM OKSZNY
                           GROUP BY OKSZ_EHO_ID
                      )
                      AS MAX ON MAX.OKSZ_EHO_ID = OKSZNY.OKSZ_EHO_ID
                      LEFT JOIN
                      NYOMVONAL AS NY ON NY.EHO_ID = OKSZNY.NY_EHO_ID
               UNION
               SELECT OKSZNY.FID,
                      'illeszkedik' AS KTIPUS,
                      OKSZNY.OKSZ_EHO_ID AS KIINDULO,
                      (CASE WHEN OKSZNY.IRANY = 1 THEN NY.NY_VEGE ELSE NY.NY_ELEJE END) AS VEG,
                      OKSZNY.KSZ_SSZ + 1 AS IND,
                      1 AS VEGHELY
                 FROM OKSZNY
                      LEFT JOIN
                      (
                          SELECT max(KSZ_SSZ) AS MAX,
                                 OKSZ_EHO_ID
                            FROM OKSZNY
                           GROUP BY OKSZ_EHO_ID
                      )
                      AS MAX ON MAX.OKSZ_EHO_ID = OKSZNY.OKSZ_EHO_ID
                      LEFT JOIN
                      NYOMVONAL AS NY ON NY.EHO_ID = OKSZNY.NY_EHO_ID
                WHERE OKSZNY.KSZ_SSZ = MAX.MAX
           )
           AS INF
           LEFT JOIN
           OKM AS M ON M.IF_EHO_ID = VEG AND 
                       M.KSZ_EHO_ID = INF.KIINDULO-- Optikai kábel ileszkedése magasággal
    UNION
    SELECT KNY.FID,
           'illeszkedik' AS KTIPUS,
           KNY.CSO_EHO_ID AS KIINDULO,
           (CASE WHEN KNY.IRANY = 1 THEN NY.NY_ELEJE ELSE NY.NY_VEGE END) AS VEG,
           (CASE WHEN KNY.CSOKNY > -1 THEN KNY.CSOKNY + 1 ELSE MAXI.MAXI + 2 END) AS IND,
           (CASE WHEN KNY.CSOKNY = 0 OR 
                      MAXI.MAXI < 0 THEN 1 ELSE 0 END) AS VEGHELY,
           M.M AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_KNY AS KNY
           LEFT JOIN
           NYOMVONAL AS NY ON NY.EHO_ID = KNY.NY_EHO_ID
           LEFT JOIN
           OKM AS M ON M.IF_EHO_ID = VEG
           LEFT JOIN
           (
               SELECT max(CSOKNY) AS MAXI,
                      CSO_EHO_ID
                 FROM KTV_KNY
                GROUP BY CSO_EHO_ID
           )
           AS MAXI ON MAXI.CSO_EHO_ID = KNY.CSO_EHO_ID
    UNION
    SELECT KNY.FID,
           'illeszkedik' AS KTIPUS,
           KNY.CSO_EHO_ID AS KIINDULO,
           (CASE WHEN KNY.IRANY = 1 THEN NY.NY_VEGE ELSE NY.NY_ELEJE END) AS VEG,
           MAXI.MAXI + 3 AS IND,
           '1' AS VEGHELY,
           M.M AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_KNY AS KNY
           LEFT JOIN
           NYOMVONAL AS NY ON NY.EHO_ID = KNY.NY_EHO_ID
           LEFT JOIN
           OKM AS M ON M.IF_EHO_ID = VEG
           LEFT JOIN
           (
               SELECT max(CSOKNY) AS MAXI,
                      CSO_EHO_ID
                 FROM KTV_KNY
                GROUP BY CSO_EHO_ID
           )
           AS MAXI ON MAXI.CSO_EHO_ID = KNY.CSO_EHO_ID
     WHERE KNY.CSOKNY = -1-- Koaxkábel ileszkedése Oszlophoz magasággal s33, s34, s59-s67
    UNION
    SELECT KNY.FID,
           'illeszkedik' AS KTIPUS,
           KNY.CSO_EHO_ID AS KIINDULO,
           (CASE WHEN KNY.IRANY = 1 THEN NY.NY_ELEJE ELSE NY.NY_VEGE END) AS VEG,
           (CASE WHEN KNY.CSOKNY > -1 THEN KNY.CSOKNY + 1 ELSE MAXI.MAXI + 2 END) AS IND,
           (CASE WHEN KNY.CSOKNY = 0 OR 
                      MAXI.MAXI < 0 THEN 1 ELSE 0 END) AS VEGHELY,
           M.M AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM R_KA_NYOMVONAL AS KNY
           LEFT JOIN
           NYOMVONAL AS NY ON NY.EHO_ID = KNY.NY_EHO_ID
           LEFT JOIN
           OKM AS M ON M.IF_EHO_ID = VEG
           LEFT JOIN
           (
               SELECT max(CSOKNY) AS MAXI,
                      CSO_EHO_ID
                 FROM R_KA_NYOMVONAL
                GROUP BY CSO_EHO_ID
           )
           AS MAXI ON MAXI.CSO_EHO_ID = KNY.CSO_EHO_ID
    UNION
    SELECT KNY.FID,
           'illeszkedik' AS KTIPUS,
           KNY.CSO_EHO_ID AS KIINDULO,
           (CASE WHEN KNY.IRANY = 1 THEN NY.NY_VEGE ELSE NY.NY_ELEJE END) AS VEG,
           MAXI.MAXI + 3 AS IND,
           '1' AS VEGHELY,
           M.M AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM R_KA_NYOMVONAL AS KNY
           LEFT JOIN
           NYOMVONAL AS NY ON NY.EHO_ID = KNY.NY_EHO_ID
           LEFT JOIN
           OKM AS M ON M.IF_EHO_ID = VEG
           LEFT JOIN
           (
               SELECT max(CSOKNY) AS MAXI,
                      CSO_EHO_ID
                 FROM R_KA_NYOMVONAL
                GROUP BY CSO_EHO_ID
           )
           AS MAXI ON MAXI.CSO_EHO_ID = KNY.CSO_EHO_ID
     WHERE KNY.CSOKNY = -1-- Rézkábel ileszkedése magasággal s33, s34, s59-s67
    UNION
    SELECT FID,
           'illeszkedik' AS KTIPUS,
           EHO_ID AS KIINDULO,
           NY_ELEJE AS VEG,
           '1' AS IND,
           '1' AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NYOMVONAL-- nyomvonal eleje s38-s58
    UNION
    SELECT FID,
           'illeszkedik' AS KTIPUS,
           EHO_ID AS KIINDULO,
           NY_VEGE AS VEG,
           '2' AS IND,
           '1' AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NYOMVONAL-- nyomvonal vége s38-s58
    UNION
    SELECT V.FID,
           'véd' AS KTIPUS,
           V.MI AS KIINDULO,
           V.MIT AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_VEDELEM_VED AS V-- Védelem véd
    UNION
    SELECT V.FID,
           'véd' AS KTIPUS,
           B.EHO_ID AS KIINDULO,
           I.EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_BIZT_FA AS V
           LEFT JOIN
           NY_BIZTZONA AS B ON B.FID = V.FID_PRIM
           LEFT JOIN
           NY_MEGSZAKITO AS I ON I.FID = V.FID_SEC-- Véd FA Infrastruktúra
    UNION
    SELECT V.FID,
           'véd' AS KTIPUS,
           B.EHO_ID AS KIINDULO,
           I.EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_BIZT_FF AS V
           LEFT JOIN
           NY_BIZTZONA AS B ON B.FID = V.FID_PRIM
           LEFT JOIN
           NY_OSZLOP AS I ON I.FID = V.FID_SEC-- Véd FF Infrastruktúra
    UNION
    SELECT V.FID,
           'véd' AS KTIPUS,
           B.EHO_ID AS KIINDULO,
           I.EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_BIZT_NY AS V
           LEFT JOIN
           NY_BIZTZONA AS B ON B.FID = V.FID_PRIM
           LEFT JOIN
           NYOMVONAL AS I ON I.FID = V.FID_SEC-- Véd Nyomvonal
    UNION
    SELECT V.FID,
           'véd' AS KTIPUS,
           V.B_ZONA AS KIINDULO,
           V.MIT AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM BZ_VED AS V-- Véd Biztonsági zóna mindent is
    UNION
    SELECT K.FID,
           'áthalad' AS KTIPUS,
           K.OKSZ_EHO_ID AS KIINDULO,
           K.B_CSO_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM OKNY AS K
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL
     GROUP BY KIINDULO,
              VEG-- Optikai kábel csövön s85
    UNION
    SELECT K.FID,
           'áthalad' AS KTIPUS,
           K.CSO_EHO_ID AS KIINDULO,
           K.B_CSO_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM KTV_KNY AS K
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL
     GROUP BY KIINDULO,
              VEG-- KTV kábel csövön s85
    UNION
    SELECT K.FID,
           'áthalad' AS KTIPUS,
           K.CSO_EHO_ID AS KIINDULO,
           K.B_CSO_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM R_KA_NYOMVONAL AS K
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL
     GROUP BY KIINDULO,
              VEG-- Réz kábel csövön s85
    UNION
    SELECT FID,
           'támogat' AS KTIPUS,
           EHO_ID AS KIINDULO,
           OSZ_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_OSZLOP_ELEM-- befogadó tartószerkezet s86
    UNION
    SELECT FID,
           'támogat' AS KTIPUS,
           ELTARTO AS KIINDULO,
           OSZLOP AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_ELTARTO-- eltartó támogató oszlop
    UNION
    SELECT OB.FID AS FID,
           'felelős' AS KTIPUS,
           OB.TULAJDONOS AS KIINDULO,
           OB.OB_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           OB.TSZAZALEK AS TULAJDONOS,
           (CASE WHEN SZ.FID NOT NULL THEN '100' ELSE NULL END) AS BERLO,
           (CASE WHEN U.FID NOT NULL THEN '100' ELSE NULL END) AS UZEMELTETO
      FROM OB_TULAJDONOS AS OB
           LEFT JOIN
           NY_TULAJDONOS AS T ON T.KODH = TULAJDONOS
           LEFT JOIN
           OB_SZOLGALTATO AS SZ ON SZ.OB_EHO_ID = OB.OB_EHO_ID AND 
                                   OB.TULAJDONOS = SZ.SZOLGALTATO
           LEFT JOIN
           OB_UZEMELTETO AS U ON U.OB_EHO_ID = OB.OB_EHO_ID AND 
                                 OB.TULAJDONOS = U.UZEMELTETO
     WHERE OB.OB_EHO_ID IN (
               SELECT LOB.EHO_ID
                 FROM LOG_EHO_ID AS LOB
                      LEFT JOIN
                      EHO_OBJEKTUMOK AS EHO ON EHO.OB_ID = LOB.OB_ID
                WHERE EHO.TUL = 1
           )-- Felelős Objektum tulajdonosa s77-s85
    UNION
    SELECT SZ.FID AS FID,
           'felelős' AS KTIPUS,
           SZ.SZOLGALTATO AS KIINDULO,
           SZ.OB_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           (CASE WHEN SZ.FID NOT NULL THEN '100' ELSE NULL END) AS BERLO,
           (CASE WHEN U.FID NOT NULL THEN '100' ELSE NULL END) AS UZEMELTETO
      FROM OB_SZOLGALTATO AS SZ
           LEFT JOIN
           OB_UZEMELTETO AS U ON U.OB_EHO_ID = SZ.OB_EHO_ID AND 
                                 SZ.SZOLGALTATO = U.UZEMELTETO
           LEFT JOIN
           OB_TULAJDONOS AS T ON T.OB_EHO_ID = SZ.OB_EHO_ID AND 
                                 T.TULAJDONOS = SZ.SZOLGALTATO
     WHERE T.TULAJDONOS IS NULL AND 
           (SZ.OB_EHO_ID IN (
               SELECT LOB.EHO_ID
                 FROM LOG_EHO_ID AS LOB
                      LEFT JOIN
                      EHO_OBJEKTUMOK AS EHO ON EHO.OB_ID = LOB.OB_ID
                WHERE EHO.TUL = 1
           )
           )-- Felelős Objektumnak nem tulajdonosa s77-s85 
    UNION
    SELECT U.FID AS FID,
           'felelős' AS KTIPUS,
           U.UZEMELTETO AS KIINDULO,
           U.OB_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           (CASE WHEN SZ.FID NOT NULL THEN '100' ELSE NULL END) AS BERLO,
           (CASE WHEN U.FID NOT NULL THEN '100' ELSE NULL END) AS UZEMELTETO
      FROM OB_UZEMELTETO AS U
           LEFT JOIN
           OB_TULAJDONOS AS T ON T.OB_EHO_ID = U.OB_EHO_ID AND 
                                 T.TULAJDONOS = U.UZEMELTETO
           LEFT JOIN
           OB_SZOLGALTATO AS SZ ON SZ.OB_EHO_ID = U.OB_EHO_ID AND 
                                   SZ.SZOLGALTATO = U.UZEMELTETO
     WHERE T.TULAJDONOS IS NULL AND 
           SZ.SZOLGALTATO IS NULL AND 
           (U.OB_EHO_ID IN (
               SELECT LOB.EHO_ID
                 FROM LOG_EHO_ID AS LOB
                      LEFT JOIN
                      EHO_OBJEKTUMOK AS EHO ON EHO.OB_ID = LOB.OB_ID
                WHERE EHO.TUL = 1
           )
           )-- Felelős Objektumnak nem tulajdonosa és nem is szolgáltatója s77-s85; 
    UNION
    SELECT KSZ.FID,
           'felelős' AS KTIPUS,
           KA.KIINDULO,
           KSZ.EHO_ID AS VEG,
           KA.IND,
           KA.VEGHELY,
           KA.MAGASAG,
           KA.EMOD,
           KA.TULAJDONOS,
           KA.BERLO,
           KA.UZEMELTETO
      FROM O_KABEL_SZAKASZ AS KSZ
           LEFT JOIN
           (
               SELECT OB.FID AS FID,
                      'felelős' AS KTIPUS,
                      OB.TULAJDONOS AS KIINDULO,
                      OB.OB_EHO_ID AS VEG,
                      NULL AS IND,
                      NULL AS VEGHELY,
                      NULL AS MAGASAG,
                      NULL AS EMOD,
                      OB.TSZAZALEK AS TULAJDONOS,
                      (CASE WHEN SZ.FID NOT NULL THEN '100' ELSE NULL END) AS BERLO,
                      (CASE WHEN U.FID NOT NULL THEN '100' ELSE NULL END) AS UZEMELTETO
                 FROM OB_TULAJDONOS AS OB
                      LEFT JOIN
                      NY_TULAJDONOS AS T ON T.KODH = TULAJDONOS
                      LEFT JOIN
                      OB_SZOLGALTATO AS SZ ON SZ.OB_EHO_ID = OB.OB_EHO_ID AND 
                                              OB.TULAJDONOS = SZ.SZOLGALTATO
                      LEFT JOIN
                      OB_UZEMELTETO AS U ON U.OB_EHO_ID = OB.OB_EHO_ID AND 
                                            OB.TULAJDONOS = U.UZEMELTETO
               UNION
               SELECT SZ.FID AS FID,
                      'felelős' AS KTIPUS,
                      SZ.SZOLGALTATO AS KIINDULO,
                      SZ.OB_EHO_ID AS VEG,
                      NULL AS IND,
                      NULL AS VEGHELY,
                      NULL AS MAGASAG,
                      NULL AS EMOD,
                      NULL AS TULAJDONOS,
                      (CASE WHEN SZ.FID NOT NULL THEN '100' ELSE NULL END) AS BERLO,
                      (CASE WHEN U.FID NOT NULL THEN '100' ELSE NULL END) AS UZEMELTETO
                 FROM OB_SZOLGALTATO AS SZ
                      LEFT JOIN
                      OB_UZEMELTETO AS U ON U.OB_EHO_ID = SZ.OB_EHO_ID AND 
                                            SZ.SZOLGALTATO = U.UZEMELTETO
                      LEFT JOIN
                      OB_TULAJDONOS AS T ON T.OB_EHO_ID = SZ.OB_EHO_ID AND 
                                            T.TULAJDONOS = SZ.SZOLGALTATO
                WHERE T.TULAJDONOS IS NULL
               UNION
               SELECT U.FID AS FID,
                      'felelős' AS KTIPUS,
                      U.UZEMELTETO AS KIINDULO,
                      U.OB_EHO_ID AS VEG,
                      NULL AS IND,
                      NULL AS VEGHELY,
                      NULL AS MAGASAG,
                      NULL AS EMOD,
                      NULL AS TULAJDONOS,
                      (CASE WHEN SZ.FID NOT NULL THEN '100' ELSE NULL END) AS BERLO,
                      (CASE WHEN U.FID NOT NULL THEN '100' ELSE NULL END) AS UZEMELTETO
                 FROM OB_UZEMELTETO AS U
                      LEFT JOIN
                      OB_TULAJDONOS AS T ON T.OB_EHO_ID = U.OB_EHO_ID AND 
                                            T.TULAJDONOS = U.UZEMELTETO
                      LEFT JOIN
                      OB_SZOLGALTATO AS SZ ON SZ.OB_EHO_ID = U.OB_EHO_ID AND 
                                              SZ.SZOLGALTATO = U.UZEMELTETO
                WHERE T.TULAJDONOS IS NULL AND 
                      SZ.SZOLGALTATO IS NULL
           )
           AS KA ON KSZ.OKA_EHO_ID = KA.VEG
     WHERE KIINDULO NOT NULL-- Kábel szakasz felelős
    UNION
    SELECT FID,
           'tartalmaz' AS KTIPUS,
           IF_EHO_ID AS KIINDULO,
           EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_AL_CSOELAG-- CSőelágazás
    UNION
    SELECT FID,
           'végződik' AS KTIPUS,
           CSO AS KIINDULO,
           CSOELAG AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM (
               SELECT FID,
                      CSO_BE AS CSO,
                      CSOELAG
                 FROM NY_AL_CSOELAG_KAPCS
               UNION
               SELECT FID,
                      CSO_KI AS CSO,
                      CSOELAG
                 FROM NY_AL_CSOELAG_KAPCS
           )
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL
     GROUP BY KIINDULO,
              VEG-- CSő Csőelág;
    UNION
    SELECT K.FID,
           'átvezet' AS KTIPUS,
           K.K_EHO_ID AS KIINDULO,
           K.A_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_AL_ATVEZET AS K
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- kábel áttörésen;
    UNION
    SELECT K.FID,
           'végződik' AS KTIPUS,
           K.CS_EHO_ID AS KIINDULO,
           K.A_EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_AL_VEGZODIK AS K
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL-- Cső áttörésen;
    UNION
    SELECT V.FID,
           'végződik' AS KTIPUS,
           V.CS_EHO_ID AS KIINDULO,
           A.ME_OLDAL AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_AL_VEGZODIK AS V
           LEFT JOIN
           NY_AL_ATORES AS A ON V.A_EHO_ID = A.EHO_ID
           LEFT JOIN
           NY_MEGSZAKITO_OLDAL AS MO ON MO.EHO_ID = A.ME_OLDAL
     WHERE MO.OLDAL_SSZ > 0-- Alépcső Megszakító oldal Áttörésből
    UNION
    SELECT FID,
           'tartalmaz' AS KTIPUS,
           ME_OLDAL AS KIINDULO,
           EHO_ID AS VEG,
           NULL AS IND,
           NULL AS VEGHELY,
           NULL AS MAGASAG,
           NULL AS EMOD,
           NULL AS TULAJDONOS,
           NULL AS BERLO,
           NULL AS UZEMELTETO
      FROM NY_AL_ATORES
     WHERE KIINDULO NOT NULL AND 
           VEG NOT NULL--Megszakító oldal- Áttörés kábelnek;
		   ;